Loading...
Searching...
No Matches
RDKit::RascalMCES::RascalClusterOptions Struct Reference

`#include <RascalClusterOptions.h>`

## Public Attributes

double | similarityCutoff = 0.7
double | a = 0.05
double | b = 2.0
unsigned int | minFragSize
double | minIntraClusterSim = 0.9
double | clusterMergeSim = 0.6
unsigned int | maxNumFrags = 2
int | numThreads = -1

## Detailed Description

Definition at line 25 of file RascalClusterOptions.h.

## Member Data Documentation

## a

double RDKit::RascalMCES::RascalClusterOptions::a = 0.05

Definition at line 29 of file RascalClusterOptions.h.

## b

double RDKit::RascalMCES::RascalClusterOptions::b = 2.0

Definition at line 30 of file RascalClusterOptions.h.

## clusterMergeSim

double RDKit::RascalMCES::RascalClusterOptions::clusterMergeSim = 0.6

Definition at line 38 of file RascalClusterOptions.h.

## maxNumFrags

unsigned int RDKit::RascalMCES::RascalClusterOptions::maxNumFrags = 2

Definition at line 41 of file RascalClusterOptions.h.

## minFragSize

unsigned int RDKit::RascalMCES::RascalClusterOptions::minFragSize

Initial value:
=
3

Definition at line 31 of file RascalClusterOptions.h.

## minIntraClusterSim

double RDKit::RascalMCES::RascalClusterOptions::minIntraClusterSim = 0.9

Definition at line 34 of file RascalClusterOptions.h.

## numThreads

int RDKit::RascalMCES::RascalClusterOptions::numThreads = -1

Definition at line 45 of file RascalClusterOptions.h.

## similarityCutoff

double RDKit::RascalMCES::RascalClusterOptions::similarityCutoff = 0.7

Definition at line 26 of file RascalClusterOptions.h.

The documentation for this struct was generated from the following file:

- RascalClusterOptions.h